/*------------------------------------------------------
FILE NAME   : waveform.h
DESCRIPTION : waveform header for SG1694.
VERSION     : 0.0.0 (C)aureole
AUTHOR      : Aureole
CREATE DATE : 12.31.2009
MODIFY DATE : 
LOGS        :-\

--------------------------------------------------------*/

#ifndef __waveform_h__
#define __waveform_h__


//-----------------Include files-------------------------//


//----------------- DEFINE ------------------------------//
#define	SIN	0
#define	SQU	1
#define	TRI	2
#define	PULSE	3
#define	RAMP	4
#define	NRAM	5
//----------------- Hardware ----------------------------//
 

//--------------------------------------------------------//

 


typedef const struct{
	int (* initialize)(void);
	int (* set_function)(int channel,int function);
	int (* set_amplitude)(int channel,float amplitude);
	int (* set_frequency)(int channel,double frequency);
	int (* set_phase)(int channel,float phase);
}WAVEFORM_T;

 
	
//-----------------Extern functions----------------------//
extern WAVEFORM_T waveform; 

#endif //__waveform_h__

